[Bug 396466] [NEW] Sync wxmaxima 0.8.2-1 (universe) from Debian unstable (main).

Stephan Hermann sh at sourcecode.de
Tue Jul 7 11:06:22 BST 2009

Public bug reported:

Hash: SHA1

 affects ubuntu/wxmaxima
 status confirmed
 importance wishlist
 subscribe ubuntu-archive

Please sync wxmaxima 0.8.2-1 (universe) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:
Ubuntu changes are now applied upstream.
The desktop file changes are now freedesktop.org compatible.
Fix in debian is "201_fix_desktop_file.patch"
Can be synced...build cleanly on karmic

Changelog since current karmic version 0.7.1-1ubuntu3:

wxmaxima (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Set configure's --build and --host options properly
    according to the autotools-dev documentation.
  * debian/patches/: Added 001_renamed_client_to_server.patch so that wxMaxima
    works with Maxima (<< 5.18).
  * debian/control: This version requires wxWidgets (>= 2.8.4), bumped
    build-dependency accordingly.
  * Update config.{guess,sub} at build time and therefore added autotools-dev
    to Build-Depends.

 -- Frank S. Thomas <fst at debian.org>  Sun, 28 Jun 2009 13:58:42 +0200

wxmaxima (0.8.1-1) unstable; urgency=low

  * New upstream release. (closes: #484281, #508181)
    - Does not fail to build from source. (closes: #527708)
    - Warns on quit if modified files are not saved. (closes: #457599)
    - Does not display an error pupup on program startup. (closes: #368630)
    - Does not exhibit "strange" Lisp errors with recent maxima.
      (closes: #493882, #487391)
  * debian/control:
    - Took over package from Rafa Rodríguez Galván with his permission. Thanks
      Rafa and Marco for all your work! Set Debian Science Maintainers as
      Maintainer and myself as Uploader.
    - Added Vcs-{Git,Browser} and Homepage fields.
    - wxWidgets >= 2.8.0 is required now; updated build-dependency accordingly.
    - Bumped Standards-Version to 3.8.2.
    - libxml2-dev is not required anymore; removed it from Build-Depends.
    - Edited Description with the help of the debian-l10n-english folks.
  * Updated debian/copyright and adapted it to DEP5. (closes: #439964)
  * Added debian/watch file.
  * debian/wxmaxima.menu:
    - Changed section "Apps/Math" to "Applications/Science/Mathematics".
    - Use 16x16 and 32x32 wxMaxima icons. (closes: #428820)
  * Use dh and quilt's new debhelper addon instead of CDBS to minimize
    debian/rules. This required to build-depend on debhelper (>= 7.0.50) and
    quilt (>= 0.46-7).
  * debian/patches/:
    - Added 201_fix_desktop_file.patch that changes wxmaxima.desktop so that it
      is valid according to the latest freedesktop.org specs. (closes: #466997)
    - Removed config.patch; applied upstream.

 -- Frank S. Thomas <fst at debian.org>  Sat, 27 Jun 2009 15:18:46 +0200

Version: GnuPG v2.0.9 (GNU/Linux)


** Affects: wxmaxima (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

Sync wxmaxima 0.8.2-1 (universe) from Debian unstable (main).
You received this bug notification because you are a member of Ubuntu
Package Archive Administrators, which is a direct subscriber.

More information about the ubuntu-archive mailing list